Overview
Features
Download
Documentation
Community
Add-Ons & Services

epoll support

Please post support and help requests here.

epoll support

Postby hewh » 21 Aug 2006, 12:59

(:biggrin:) we know epoll that is effitive in linux 2.6, i question: when poco support it?

aonther, i want to use http lib in poco, but http classes include soket fd, i think no good,for example httpsession include "_sockfd"
because i hope that i can use epoll for advancing effitive and supporting max fd
hewh
 
Posts: 1
Joined: 21 Aug 2006, 12:29

Re: epoll support

Postby marlowa » 22 Aug 2006, 22:36

> (:biggrin:) we know epoll that is effitive in linux 2.6, i question: when poco support it?
>
> aonther, i want to use http lib in poco, but http classes include soket fd, i think no good,for example httpsession include "_sockfd"
> because i hope that i can use epoll for advancing effitive and supporting max fd

Why not just use epoll directly in your application as and when you need to? epoll is linux-specific so I see no reason why it should be added to poco. What would you have poco do for those platforms that do not support epoll? Make it a no-op? I don't think so. That's the kind of thing ACE does and it is horrible - your code compiles on all platforms but then fails on some platforms at runtime. We don't want to go there.

-Andrew Marlow
marlowa
 
Posts: 36
Joined: 19 Jul 2006, 09:02
Location: United_Kingdom


Return to Support

Who is online

Users browsing this forum: alex and 1 guest

cron